Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbehave.core.annotations
Enum ScenarioType

    java.lang.Object
      java.lang.Enum<ScenarioType>
          org.jbehave.core.annotations.ScenarioType

All Implemented Interfaces:
  Serializable, Comparable<ScenarioType>

    public enum ScenarioType

extends Enum<ScenarioType>

Enum Constant Summary
`EXAMPLE` Scenario that is parametrised by example
`NORMAL` Scenario that is part of normal story execution

Method Summary
`static ScenarioType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ScenarioType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORMAL

    public static final ScenarioType NORMAL

  Scenario that is part of normal story execution

### EXAMPLE

    public static final ScenarioType EXAMPLE

  Scenario that is parametrised by example

Method Detail

### values

    public static ScenarioType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ScenarioType c : ScenarioType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ScenarioType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2013. All Rights Reserved.